Subject: SouthTrust Bank: Confirm Your DetaiIs To Avoid Service CanceIIation

From: SOUTHTRUST BANK <[email-masked]>
Date: Mon, 13 Jun 2005 10:52:50 -0500

we get on well You are on... Tupac Sharuk what do you do? In other words